using Gtk;

namespace StudySystemClient {
	public class App : Gtk.Application {
		public App() {
			Object(application_id: "sh.wip.study-system-client");
		}

		protected override void activate() {
			try {
				var connection = new Connection(Config.CERT_DIR);
				new MainWindow(this, connection);
			} catch (Error e) {
				stderr.printf("Failed to initialize connection: %s\n",
							  e.message);
			}
		}
	}
}

int main(string[] args) {
	var app = new StudySystemClient.App();
	return app.run(args);
}
